> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm a Claim

> Use this endpoint to confirm a claim operation. As a consequence, the
link between the key and the donor participant is removed. Status must
be in WAITING_RESOLUTION.


**Notes:**

- For ownership claims, if the reason is DEFAULT_OPERATION, the
resolution period (ResolutionPeriodEnd) must have passed. If the reason
given is USER_REQUESTED, the closing period (CompletionPeriodEnd) will
be advanced to allow for immediate termination by the claimant.



## OpenAPI

````yaml /en/openapi/v3-current/indirect-pix.yaml post /v1/dict/claims/{claim_id}/confirm
openapi: 3.0.3
info:
  title: Plugin BR Pix Indirect - Complete API
  description: |
    Complete API for Brazilian Pix instant payment system including
    Pix key dictionary operations, QR code generation/decoding, transactions and
    transaction limits.
  version: 1.0.0
servers:
  - url: https://plugin-pix-indirect.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/dict/claims/{claim_id}/confirm:
    post:
      tags:
        - Claims API
      summary: Confirm a Claim
      description: |-
        Use this endpoint to confirm a claim operation. As a consequence, the
        link between the key and the donor participant is removed. Status must
        be in WAITING_RESOLUTION.


        **Notes:**

        - For ownership claims, if the reason is DEFAULT_OPERATION, the
        resolution period (ResolutionPeriodEnd) must have passed. If the reason
        given is USER_REQUESTED, the closing period (CompletionPeriodEnd) will
        be advanced to allow for immediate termination by the claimant.
      parameters:
        - $ref: '#/components/parameters/ClaimId'
        - $ref: '#/components/parameters/XAccountId'
        - $ref: '#/components/parameters/XReasonConfirm'
      responses:
        '200':
          description: Claim confirmed successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClaimObject'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0001:
                  $ref: '#/components/examples/ErrorPIX0001'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0126:
                  $ref: '#/components/examples/ErrorPIX0126'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0113:
                  $ref: '#/components/examples/ErrorPIX0113'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0125:
                  $ref: '#/components/examples/ErrorPIX0125'
                ErrorPIX0127:
                  $ref: '#/components/examples/ErrorPIX0127'
                ErrorPIX0128:
                  $ref: '#/components/examples/ErrorPIX0128'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0000:
                  $ref: '#/components/examples/ErrorPIX0000'
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX1000:
                  $ref: '#/components/examples/ErrorPIX1000'
                ErrorPIX1007:
                  $ref: '#/components/examples/ErrorPIX1007'
                ErrorPIX1099:
                  $ref: '#/components/examples/ErrorPIX1099'
      deprecated: false
      security:
        - bearerAuth: []
components:
  parameters:
    ClaimId:
      name: claim_id
      in: path
      description: Unique identifier of the claim (UUID format).
      required: true
      example: 019c96a0-0bc7-7958-9d05-82bef1f200f1
      schema:
        type: string
    XAccountId:
      name: X-Account-Id
      in: header
      description: Unique identifier of the Midaz Ledger Account (UUID format).
      required: true
      example: 019c96a0-0a98-7287-9a31-786e0809c769
      schema:
        type: string
    XReasonConfirm:
      name: X-Reason
      in: header
      description: >-
        Reason for confirmation: USER_REQUESTED, ACCOUNT_CLOSURE,
        DEFAULT_OPERATION, FRAUD, or RECONCILIATION.
      required: true
      example: DEFAULT_OPERATION
      schema:
        type: string
        enum:
          - USER_REQUESTED
          - ACCOUNT_CLOSURE
          - DEFAULT_OPERATION
          - FRAUD
          - RECONCILIATION
  schemas:
    ClaimObject:
      type: object
      properties:
        id:
          type: string
          description: Internal UUID of the claim.
          example: 019c96a0-0c3e-77b5-8321-4807058a67bb
        bacenClaimId:
          type: string
          description: BACEN DICT identifier for this claim.
          example: 019c96a0-0d16-7184-ad7f-38545eeb671c
        key:
          type: string
          description: The Pix key value being claimed.
          example: '+5561988887777'
        keyType:
          type: string
          description: Type of Pix key.
          example: PHONE
        type:
          type: string
          description: Type of claim.
          enum:
            - OWNERSHIP
            - PORTABILITY
          example: OWNERSHIP
        status:
          type: string
          description: Current status of the claim.
          enum:
            - OPEN
            - WAITING_RESOLUTION
            - CONFIRMED
            - CANCELLED
            - COMPLETED
          example: OPEN
        donorParticipant:
          type: string
          description: ISPB of the donor PSP.
          example: '30306294'
        resolutionPeriodEnd:
          type: string
          format: date-time
          description: Deadline for donor response (D+7 from creation).
          example: '2024-01-22T10:30:00Z'
        completionPeriodEnd:
          type: string
          format: date-time
          description: Deadline for claim completion (D+14 from creation).
          example: '2024-01-29T10:30:00Z'
        createdAt:
          type: string
          format: date-time
          description: Timestamp when the claim was created.
          example: '2024-01-15T10:30:00Z'
        updatedAt:
          type: string
          format: date-time
          description: Timestamp when the claim was last updated.
          example: '2024-01-15T10:30:00Z'
    ErrorFormat:
      type: object
      description: The response message error.
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: A unique, stable identifier for the error.
        title:
          type: string
          description: A brief summary of the issue.
        message:
          type: string
          description: Detailed guidance for resolving the error.
  examples:
    ErrorPIX0001:
      summary: Missing Headers in Request
      value:
        code: PIX-0001
        title: Missing Headers in Request
        message: >-
          Your request is missing one or more required header params. Please
          refer to the documentation to ensure all necessary header params are
          included in your request.
    ErrorPIX0126:
      summary: Must Be Donor Participant
      value:
        code: PIX-0126
        title: Must Be Donor Participant
        message: The claim must be from the donor participant to confirm.
    ErrorPIX0113:
      summary: Claim Not Found
      value:
        code: PIX-0113
        title: Claim Not Found
        message: The claim was not found.
    ErrorPIX0125:
      summary: Waiting Resolution Status
      value:
        code: PIX-0125
        title: Waiting Resolution Status
        message: The claim must be in WAITING_RESOLUTION status to execute the action.
    ErrorPIX0127:
      summary: Portability Cannot Be Confirmed
      value:
        code: PIX-0127
        title: Portability Cannot Be Confirmed
        message: Portability claims cannot be confirmed with DEFAULT_OPERATION reason.
    ErrorPIX0128:
      summary: Ownership Cannot Be Confirmed
      value:
        code: PIX-0128
        title: Ownership Cannot Be Confirmed
        message: >-
          Ownership claims cannot be confirmed with DEFAULT_OPERATION reason
          before the resolution period has ended.
    ErrorPIX0000:
      summary: Internal Server Error
      value:
        code: PIX-0000
        title: Internal Server Error
        message: The server encountered an unexpected error. Please try again later.
    ErrorPIX1000:
      summary: Provider Connection Error
      value:
        code: PIX-1000
        title: Provider Connection Error
        message: Failed to connect to provider.
    ErrorPIX1007:
      summary: Provider Internal Error
      value:
        code: PIX-1007
        title: Provider Internal Error
        message: Provider returned an internal error.
    ErrorPIX1099:
      summary: Provider Unmapped Error
      value:
        code: PIX-1099
        title: Provider Unmapped Error
        message: Provider returned an unmapped error.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````